Profile Enrichment
curl --request POST \
--url https://api.linkupapi.com/v1/data/profil/enrich \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/data/profil/enrich"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: '<string>', last_name: '<string>', company_name: '<string>'})
};
fetch('https://api.linkupapi.com/v1/data/profil/enrich', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"person_searched": {
"first_name": "Jeremy",
"last_name": "Goillot",
"company_name": "The Mobile-First Company"
},
"linkedin_profile": {
"linkedin_url": "https://www.linkedin.com/in/jeremygoillot",
"profile_title": "Jeremy Goillot - CEO @The Mobile-First Company",
"profile_description": "CEO & Co-Founder at The Mobile-First Company"
},
"full_profile_data": {
"public_id": "jeremygoillot",
"first_name": "Jeremy",
"last_name": "Goillot",
"headline": "CEO @The Mobile-First Company \n Your Business, in your Pocket | Angel Investor in +40 startups",
"location": "France",
"summary": "NO EMAIL \nPhone Call Only >> 06 44 60 39 99\n\nBuilding @The Mobile-First Company\nOur goal is clear: Turn your phone into your primary business tool...",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "The Mobile-First Company",
"title": "CEO & Co-Founder",
"description": "Your Business, in your Pocket. Mobile Apps for Every Need...",
"start_date": "9/2023",
"end_date": ""
}
],
"education": [
{
"school": "Le Wagon",
"degree": "FullStack Developer",
"field_of_study": "Web Development",
"start_date": "2016",
"end_date": "2016"
}
],
"skills": ["Allo", " Build a Fintech Unicorn (from 0 to 1B$)", " Build Growth Team for Early Stage Startups"],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGNeGf5rNxHfw/profile-displayphoto-shrink_800_800/...",
"email": "",
"phone": "",
"website": ""
}
}
}
{
"status": "success",
"data": {
"person_searched": {
"first_name": "John",
"last_name": "Doe",
"company_name": "Unknown Company"
},
"linkedin_profile": null,
"full_profile_data": null
}
}
Person API
Profile Enrichment
Find and extract comprehensive profile information using name and company
POST
/
v1
/
data
/
profil
/
enrich
Profile Enrichment
Automatically find a person’s profile using their name and company, then extract complete profile information in a single request. This endpoint combines profile search and data extraction in one seamless process.
This endpoint costs 1 credit per request. Ignore this if you’re on per-seat pricing: usage is unlimited.
Header Parameters
string
required
Your API key
Body Parameters
string
required
Person’s first name
string
required
Person’s last name
string
required
Current company name where the person works
Response
string
Request status (success/error)
object
Show Properties
Show Properties
object
object
object
Show Complete Profile Information
Show Complete Profile Information
string
Public identifier of the LinkedIn profile
string
First name of the profile owner
string
Last name of the profile owner
string
Professional headline/title
string
Geographic location
string
Profile summary/about section
string
Industry sector
array
array
array
Array of professional skills (strings)
string
URL to the profile picture
string
Email address (if publicly available)
string
Phone number (if publicly available)
string
Personal or professional website (if available)
{
"status": "success",
"data": {
"person_searched": {
"first_name": "Jeremy",
"last_name": "Goillot",
"company_name": "The Mobile-First Company"
},
"linkedin_profile": {
"linkedin_url": "https://www.linkedin.com/in/jeremygoillot",
"profile_title": "Jeremy Goillot - CEO @The Mobile-First Company",
"profile_description": "CEO & Co-Founder at The Mobile-First Company"
},
"full_profile_data": {
"public_id": "jeremygoillot",
"first_name": "Jeremy",
"last_name": "Goillot",
"headline": "CEO @The Mobile-First Company \n Your Business, in your Pocket | Angel Investor in +40 startups",
"location": "France",
"summary": "NO EMAIL \nPhone Call Only >> 06 44 60 39 99\n\nBuilding @The Mobile-First Company\nOur goal is clear: Turn your phone into your primary business tool...",
"industry": "Technologie, information et Internet",
"experience": [
{
"company": "The Mobile-First Company",
"title": "CEO & Co-Founder",
"description": "Your Business, in your Pocket. Mobile Apps for Every Need...",
"start_date": "9/2023",
"end_date": ""
}
],
"education": [
{
"school": "Le Wagon",
"degree": "FullStack Developer",
"field_of_study": "Web Development",
"start_date": "2016",
"end_date": "2016"
}
],
"skills": ["Allo", " Build a Fintech Unicorn (from 0 to 1B$)", " Build Growth Team for Early Stage Startups"],
"profile_picture_url": "https://media.licdn.com/dms/image/v2/D4E03AQGNeGf5rNxHfw/profile-displayphoto-shrink_800_800/...",
"email": "",
"phone": "",
"website": ""
}
}
}
{
"status": "success",
"data": {
"person_searched": {
"first_name": "John",
"last_name": "Doe",
"company_name": "Unknown Company"
},
"linkedin_profile": null,
"full_profile_data": null
}
}
Notes
- The endpoint tries multiple search methods to maximize success rate
- If no profile is found,
linkedin_profileandfull_profile_datawill benull - Contact information (email, phone) may be empty
Was this page helpful?